!set title=Operaciones algebraicas
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r
varcnt=34
prevarcnt=33
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 4, 9

val6=$[rint($(tmp0))]
val7={\rm\ and\ }
val8={\rm\ or\ }
val9=\Rightarrow
tmp0=!randitem +,-

val10=$(tmp0)
val11=det
val12={\rm det}
val13=invertible
val14=non-invertible
tmp0=!randitem 2,3,4,5

val15=$[rint($(tmp0))]
tmp0=!shuffle 	 \($val11(AB) = $val11(BA)),	 \($val11(AB) = $val11(A)$val11(B)),	 \($val11(AB) = $val11(B)$val11(A)),	 \($val11(A^$val15) = $val11(A)^$val15),	 \($val11(A^-1) = 1/$val11(A)),	 \(A) $val14 \(=> $val11(A) = 0),	 \(A) $val13 \($val9 $val12(A) \ne 0),	 \($val11(A) = 0 => A) $val14,	 \($val12(A) \ne 0 $val9 A) $val13,	 \($val11($val15*A) = $val15^$val6*$val11(A)),	 \(A=I_$val6 => $val11(A)=1),	 \(A=0 => $val11(A)=0),	 \(A=B => $val11(A)=$val11(B)),	 \($val11(AB)=1 => A) $val13,	 \($val11(AB)=1 => B) $val13,	 \($val11(AB)=0 => $val11(A)=0) or \($val11(B)=0)	

val16=$(tmp0)
tmp0=!shuffle 	 \($val11(A $val10 B) = $val11(A) $val10 $val11(B)),	 \($val11(A^$val15) = $val15*$val11(A)),	 \($val11(A+B) = $val11(A)$val11(B)),	 \($val11(AB) = $val11(A) + $val11(B)),	 \($val11(A^-1) = -$val11(A)),	 \($val11(A+I_$val6) = $val11(A) + 1),	 \($val11($val15*A) = $val15*$val11(A)),	 \($val11(A) = 0 => A = 0),	 \($val11(A) = 1 => A = I_$val6),	 \($val11(AB) = 1 => AB = I_$val6),	 \($val11(AB) = $val11(BA) => AB = BA),	 \($val11(A)=$val11(B) => A=B),	 \($val11(AB)=1 => B=A^-1),	 \($val11(AB)=0 => A=0) or \(B=0),	 \(A \ne 0 $val9 $val12(A) \ne 0),	 \(A \ne I_$val6 $val9 $val12(A) \ne 1)	

val17=$(tmp0)
tmp0=!randitem 1,2

val18=$[rint($(tmp0))]
val19=$[rint(3-$val18)]
tmp0=!item 1 to $val18 of 1,1,1,1,1,1

val20=$(tmp0)
tmp0=!item 1 to 3 of $val20,0,0,0,0,0,0

val21=$(tmp0)
tmp0=!item 1 to $val18 of $val17

val20=$(tmp0)
tmp0=!item 1 to 3-$val18 of $val16

val22=$(tmp0)
tmp0=!shuffle 3

val23=$(tmp0)
tmp0=!item $val23 of $val20,$val22

val24=$(tmp0)
tmp0=!item $val23 of $val21

val21=$(tmp0)
tmp0=!positionof item 1 in $val21

val17=$(tmp0)
tmp0=!positionof item 0 in $val21

val16=$(tmp0)
tmp0=!item 1 of $val24

val25=$(tmp0)
tmp0=!item 2 of $val24

val26=$(tmp0)
tmp0=!item 3 of $val24

val27=$(tmp0)
val28=<td>&nbsp;&nbsp;&nbsp;
tmp0=!randitem 1,2

!if $(tmp0) = 1 
val29=no son siempre ciertas
val30=falsas
val31=$val17
!else
val29=son siempre ciertas
val30=correctas
val31=$val16
!endif
replytype1=chset
replyname1=Las propiedades $val30 son
replygood1=$val31
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sean 
!insmath A,B
$() dos matrices $val6&times;$val6 .	Entre las siguientes propiedades, ¿cuáles $val29?	<p><center><table border=0>	 <tr><td>1.$val28<td>$val25	 <tr><td>2.$val28<td>$val26	 <tr><td>3.$val28<td>$val27	</table></center> <p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,25,26,27,28,29
embedcnt=0
